WorldFileImageReaderLoader (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.image
Class WorldFileImageReaderLoader

    java.lang.Object
      com.bbn.openmap.dataAccess.image.WorldFileImageReaderLoader

All Implemented Interfaces:
  ImageReaderLoader

    public class WorldFileImageReaderLoader

extends java.lang.Object
implements ImageReaderLoader

An ImageReaderLoader that answers queries on behalf of a WorldFileImageReader. Will answer yes for image files with .tif, .png, .jpg, .jpeg and .gif extensions.

Author:
  dietrick

Constructor Summary
`WorldFileImageReaderLoader()`

Method Summary
`ImageReader` | `getImageReader(java.net.URL fileURL)`
`boolean` | `isLoadable(java.lang.String fileName)` A query method used to ask the ImageReaderLoader if an image can be handled by the ImageReader it represents.
`boolean` | `isLoadable(java.net.URL fileURL)` A query method used to ask the ImageReaderLoader if an image can be handled by the ImageReader it represents.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorldFileImageReaderLoader

    public WorldFileImageReaderLoader()

Method Detail

### getImageReader

    public ImageReader getImageReader(java.net.URL fileURL)

  Specified by:
    `getImageReader` in interface `ImageReaderLoader`
  Parameters:
    `fileURL` - a URL for an image file.
  Returns:
    an ImageReader loaded with the image file contents, or null if the image can't be handled.

### isLoadable

    public boolean isLoadable(java.lang.String fileName)

  Description copied from interface: `ImageReaderLoader`
  A query method used to ask the ImageReaderLoader if an image can be handled by the ImageReader it represents.

  Specified by:
    `isLoadable` in interface `ImageReaderLoader`
  Parameters:
    `fileName` - path to image file.
  Returns:
    true if yes.

### isLoadable

    public boolean isLoadable(java.net.URL fileURL)

  Description copied from interface: `ImageReaderLoader`
  A query method used to ask the ImageReaderLoader if an image can be handled by the ImageReader it represents.

  Specified by:
    `isLoadable` in interface `ImageReaderLoader`
  Parameters:
    `fileURL` - URL of image file.
  Returns:
    true if yes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details